## 
##  @l_prefix@/etc/bind/named.conf -- BIND configuration
##

logging {
    channel logfile {
        file "@l_prefix@/var/bind/named.log";
        severity info;
        print-category yes;
        print-severity no;
        print-time yes;
    };
    category default  { logfile; };
    category security { logfile; default_syslog; };
    category panic    { logfile; default_syslog; };
    category packet   { null; };
    category eventlib { null; };
};

options {
    directory            "@l_prefix@/etc/bind/named.db";
    check-names          master warn;
    host-statistics      no;
    allow-query          { any; };
    allow-transfer       { any; };
    transfers-in         10;
    transfers-per-ns     2;
    max-transfer-time-in 120;
    transfer-format      one-answer;
    cleaning-interval    60;
    interface-interval   60;
    statistics-interval  59;
    #listen-on           port 53 { 127.0.0.1; };
    #query-source        address 127.0.0.1 port *;
    #transfer-source     127.0.0.1;
};

zone "." IN {
    type hint;
    file "db.root";
};

zone "localhost" IN {
    type           master;
    file           "db.localhost";
    notify         no;
    check-names    fail;
    allow-update   { none; };
    allow-transfer { any;  };
};

zone "0.0.127.in-addr.arpa" IN {
    type           master;
    file           "db.127.0.0";
    notify         no;
    check-names    fail;
    allow-update   { none; };
    allow-transfer { any;  };
};

